Get object ID

  • GET
  • /workspaces
  • /:workspace
  • /identifiers

Get the ID of an object using its human-readable identifier

Request

REQUIRED SCOPES
WORKSPACE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

GET PARAMETERS
projectstring
The human-readable ID of the project

Example: "my-project"

pipelinestring
The human-readable ID of the pipeline

Example: "my-pipeline"

environmentstring
The human-readable ID of the environment

Example: "my-environment"

artifactstring
The human-readable ID of the artifact

Example: "my-artifact"

artifact_versionstring
The version of the artifact

Example: "v1"

sandboxstring
The human-readable ID of the sandbox

Example: "my-sandbox"

unit_test_suitestring
The human-readable ID of the unit test suite

Example: "my-unit-test-suite"

visual_test_suitestring
The human-readable ID of the visual test suite

Example: "my-visual-test-suite"

crawl_suitestring
The human-readable ID of the crawl suite

Example: "my-crawl-suite"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
domainstring
The human-readable ID of the workspace
project_identifierstring
The human-readable ID of the project
pipeline_idinteger
The ID of the pipeline
environment_idstring
The ID of the environment
artifact_idstring
The ID of the artifact
artifact_version_idstring
The ID of the artifact version
sandbox_idstring
The ID of the sandbox
unit_test_suite_idstring
The ID of the unit test suite
visual_test_suite_idstring
The ID of the visual test suite
crawl_suite_idstring
The ID of the crawl suite

Last modified on Mar 25, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/identifiers" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-company", "domain": "my-company", "project_identifier": "my-project", "pipeline_id": 123, "environment_id": "ZRB20jX6", "artifact_id": "B81VVP1Z", "artifact_version_id": "79dMAdl0", "visual_test_suite_id": "507f1f77bcf86cd799439011", "crawl_suite_id": "507f1f77bcf86cd799439012" }
STATUS
200 OK